Name: lm_sensors
Version: 2.6.5
Release: alt2

Summary: Hardware Health Monitoring Tools
Summary(ru_RU.KOI8-R):    
License: GPL
Group: System/Kernel and hardware
Url: http://www.lm-sensors.nu/

Source: ftp://ftp.netroedge.com/pub/%name/%name-%version.tar.bz2
Patch: %name-2.6.5-alt-urlview.patch

Requires: libsensors = %version-%release, kernel >= 2.2.16-ipl1mdk

BuildPreReq: kernel-headers >= 2.2.18-ipl1mdk

# Automatically added by buildreq on Mon Nov 11 2002
BuildRequires: flex

%package graph
Summary: Hardware Health Monitoring Tools - graph addon
Group: System/Kernel and hardware
Requires: %name = %version-%release

%package -n libsensors
Summary: Shared library for hardware health monitoring tools
Group: System/Libraries

%package -n libsensors-devel
Summary: Development environment for hardware health monitoring tools
Group: Development/C
Requires: libsensors = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n libsensors-devel-static
Summary: Static library for developing hardware health monitoring tools
Group: Development/C
Requires: libsensors-devel = %version-%release

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%description graph
This package adds a graphics draw temperature plugin.

If you want to install this package you'll also need ImageMagick
and gnuplot tools.

%description -n libsensors
This package contains shared library required for user space applications
for general SMBus access and hardware monitoring. SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus. Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel
This package contains environment for development of user space applications
for general SMBus access and hardware monitoring. SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus. Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel-static
This package contains static library for development of statically linked
user space applications for general SMBus access and hardware monitoring.

%prep
%setup -q
%patch -p1

find -type f -name Module.mk\* -print0 |
	xargs -r0 %__grep -Zl '\$(INSTALL).* -o.* -g' |
	xargs -r0 %__subst 's|\(\$(INSTALL).*\) -o *[A-Za-z$(){}]* -g *[A-Za-z$(){}]*|\1|g'

%build
make \
	LINUX=/usr/lib/kernel \
	COMPILE_KERNEL=0 \
	I2C_HEADERS= \
	CC="gcc $RPM_OPT_FLAGS" \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir

%install
%__mkdir_p $RPM_BUILD_ROOT%_datadir/%name

%make_install install \
	COMPILE_KERNEL=0 \
	I2C_HEADERS= \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir \
	MANDIR=%_mandir

for f in `find prog -type f`; do
	if file "$f" |%__grep -Fq ' executable'; then
		if [ ! -f "$RPM_BUILD_ROOT%_bindir/${f##*/}" -a ! -f "$RPM_BUILD_ROOT%_sbindir/${f##*/}" ]; then
			%__install -p -m755 "$f" $RPM_BUILD_ROOT%_datadir/%name
		fi
	fi
done

%__chmod 755 $RPM_BUILD_ROOT%_libdir/*.so.*

# Find files for main package
find $RPM_BUILD_ROOT%_datadir/%name -type f -print |
	%__grep -Fv tellerstats.sh |
	%__sed -e "s@$RPM_BUILD_ROOT@@" >%name.list

%post -n libsensors -p %post_ldconfig
%postun -n libsensors -p %postun_ldconfig

%files -f %name.list
%config(noreplace) %_sysconfdir/sensors.conf
%_bindir/*
%_sbindir/*
%dir %_datadir/%name
%_mandir/man[15]/*
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README* TODO doc/* etc/sensors.conf.eg

%files graph
%dir %_datadir/%name
%_datadir/%name/tellerstats.sh

%files -n libsensors
%_libdir/*.so.*

%files -n libsensors-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%files -n libsensors-devel-static
%_libdir/*.a

%changelog
* Mon Nov 11 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.5-alt2
- Fixed url handler patch.
- Updated dependencies.
- Use subst instead of perl for build.

* Mon Nov 11 2002 Rider <rider@altlinux.ru> 2.6.5-alt1
- 2.6.5

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.3-alt1
- 2.6.3

* Mon Nov 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.6.2-alt1
- 2.6.2

* Thu Sep 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.1-alt1
- 2.6.1
- Moved static library to devel-static subpackage.

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt2
- Moved tellerstats.sh script to graph subpackage (too many requires).

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt1
- 2.6.0
- Build with kernel headers (instead of sources).

* Mon Feb 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl2mdk
- Fixed incorrect autorequires.

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl1mdk
- 2.5.5
- Libification.

* Fri Nov 24 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.4-ipl1mdk
- 2.5.4
- FHSification.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.2-ipl1mdk
- 2.5.2

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Fri May 16 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.5.0

* Sun Jan 30 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.4.5

* Wed Nov 17 1999 Dmitry V. Levin <ldv@fandra.org>
- 2.4.3

* Wed Oct 06 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Fri Sep 03 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- compiled for kernel 2.2.112
- added scripts in %prefix/lib/lm_sensors
- added man page
- mandrake adaptions

* Sun May  2 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.7

* Sun Apr 25 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.6
- hyphen changed to underscore in version number to satisfy RPM 3.0

* Mon Apr  5 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.5

* Wed Mar 24 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.4

* Tue Mar  8 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.3

* Fri Feb 26 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to lm_sensors 2.2.2 and compiled for kernel 2.2.2
- added /etc/sensors.conf
- added %post and %postun scripts
